Subject: Re: bug#19636: [TRAMP] global minor mode hangs connection when accessing files in :lighter

From: Philippe Vaucher <[email-masked]>
Date: Thu, 22 Jan 2015 12:07:46 +0100

> Yes, it would be nice to be able to avoid that. The real world problem
> where this happens is for `projectile-mode`, a global minor mode that
> tries to detect wether you are in a project for every buffers. The
> final solution will probably involve avoiding detection in buffers
> where there's a process, even tho it'd make sense for the mode to work
> in these buffers as well. Basically the mode displays in which project
> you're in and sets up keybindings for naviguating files in this
> project, hence the use of :lighter in the mode, which checks for
> project root files (e.g .git/Gemfile/etc) in `default-directory` (and
> parents) for the current buffer in order to determinate the project
> name.

Just for clarifications, the new processes involved where this bug
happens is when you invoke "git fetch" when using magit or when doing
things like "M-& service nginx restart" over TRAMP.

Philippe